## kio-gdrive 25.12.1+p24.04+vstable+git20260122.0543

=== debian/changelog ===
kio-gdrive (25.12.1+p24.04+vstable+git20260122.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:43:41 +0000

kio-gdrive (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:06 +1000
