## kio-gdrive 25.12.1+p24.04+vstable+git20260128.0427

=== debian/changelog ===
kio-gdrive (25.12.1+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:20 +0000
