## kio-gdrive 25.12.2+p24.04+vunstable+git20260207.0101

=== debian/changelog ===
kio-gdrive (25.12.2+p24.04+vunstable+git20260207.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 01:01:59 +0000

kio-gdrive (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:42:11 +0000
